package com.example.nto.service;

import com.example.nto.entity.Employee;

import java.util.List;
import java.util.Optional;

public interface EmployeeService {
    List<Employee> findAll();
    Optional<Employee> findByLogin(String login);
    boolean validateCode(String login, long code);

    boolean validateCode(long code);

    boolean openDoor(String login, long code);

    boolean authenticate(String login, String rawPassword);
    void toggleBlockStatus(String login);
}